For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • POSTClerk Webhook
      • POSTStripe Webhook
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referencewebhooks

Stripe Webhook

POST
/webhooks/stripe
POST
/webhooks/stripe
$curl -X POST https://api.onepin.ai/webhooks/stripe \
> -H "Content-Type: application/json" \
> -d '{
> "id": "evt_1N2b3c4d5e6f7g8h9i0j",
> "object": "event",
> "api_version": "2023-05-15",
> "created": 1716239023,
> "data": {
> "object": {
> "id": "pi_1N2b3c4d5e6f7g8h9i0j",
> "object": "payment_intent",
> "amount": 2500,
> "currency": "usd",
> "status": "succeeded"
> }
> },
> "livemode": true,
> "pending_webhooks": 1,
> "request": {
> "id": "req_4e5f6g7h8i9j0k1l2m3n",
> "idempotency_key": "a1b2c3d4e5f6g7h8i9j0"
> },
> "type": "payment_intent.succeeded"
>}'
200Successful
1{
2 "data": {},
3 "meta": {
4 "request_id": "a3f5e7d9-4b2c-11ee-be56-0242ac120002",
5 "timestamp": "2024-01-15T09:30:00Z"
6 }
7}

Handle Stripe webhook events. Verifies Stripe-Signature header.

Was this page helpful?
Previous

Whoami

Next
Built with

Response

Successful Response
datamap from strings to any
metaobject